﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) TOI Tests
DATE:                  2011-06-17
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       202
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSP TOI Test /LO,SWPG
#
#  Required Files:
#        None
#
#  The variable, "@UUT_MaxFreq)" is defined in the main, extracted from the
#  UUT Model Number to specify the frequency coverage of the UUT.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @TestFreq = "28 MHz"
  1.002  MATH         @LO_Freq   = "28.05 MHz"; @LO_Ampl   = "+6dBm"
  1.003  MATH         @SWPG_Freq = "27.95 MHz"; @SWPG_Ampl = "+6dBm"

  1.004  IF           ISVAR("@B25_On")
  1.005  MATH         M[1] = 33; @Nominal = 7
  1.006  ELSE
  1.007  MATH         M[1] = 30; @Nominal = 5
  1.008  ENDIF

  1.009  CALL         Sub FSP TOI Test /LO,SWPG

  1.010  MATH         @TestFreq = "106 MHz"
  1.011  MATH         @SWPG_Freq = "105.95 MHz"; @LO_Freq = "106.05 MHz"
# Reset UUT to 500 kHz to circumvent error when enabling TOI marker function.
  1.012  SCPI         FREQ:SPAN 500E+3
  1.013  CALL         Sub FSP TOI Test /LO,SWPG

  1.014  MATH         @TestFreq = "261 MHz"

  1.015  IF           ISVAR("@B25_On")
  1.016  MATH         M[1] = 30; @Nominal = 10
  1.017  ELSE
  1.018  MATH         M[1] = 28; @Nominal = 7
  1.019  ENDIF

  1.020  MATH         @SWPG_Freq = "260.95 MHz"; @LO_Freq = "261.05 MHz"
  1.021  SCPI         FREQ:SPAN 500E+3
  1.022  CALL         Sub FSP TOI Test /LO,SWPG

  1.023  MATH         @TestFreq = "640 MHz"
  1.024  MATH         @SWPG_Freq = "639.95 MHz"; @LO_Freq = "640.05 MHz"
  1.025  SCPI         FREQ:SPAN 500E+3
  1.026  CALL         Sub FSP TOI Test /LO,SWPG

  1.027  MATH         @TestFreq = "1000 MHz"
  1.028  MATH         @SWPG_Freq = "999.95 MHz"; @LO_Freq = "1000.05 MHz"
  1.029  SCPI         FREQ:SPAN 500E+3
  1.030  CALL         Sub FSP TOI Test /LO,SWPG

  1.031  MATH         @TestFreq = "1700 MHz"
  1.032  MATH         @SWPG_Freq = "1699.95 MHz"; @LO_Freq = "1700.05 MHz"
  1.033  SCPI         FREQ:SPAN 500E+3
  1.034  CALL         Sub FSP TOI Test /LO,SWPG

  1.035  MATH         @TestFreq = "2500 MHz"
  1.036  MATH         @SWPG_Freq = "2499.95 MHz"; @LO_Freq = "2500.05 MHz"
  1.037  SCPI         FREQ:SPAN 500E+3
  1.038  CALL         Sub FSP TOI Test /LO,SWPG

  1.039  MATH         @TestFreq = "2990 MHz"
  1.040  MATH         @SWPG_Freq = "2989.95 MHz"; @LO_Freq = "2990.05 MHz"
  1.041  SCPI         FREQ:SPAN 500E+3
  1.042  CALL         Sub FSP TOI Test /LO,SWPG

  1.043  IF           (@UUT_MaxFreq <= 3E+9)
  1.044  END
  1.045  ENDIF

  1.046  IF           ISVAR("@B25_On")
  1.047  MATH         M[1] = 28; @Nominal = 12
  1.048  ELSE
  1.049  MATH         M[1] = 25; @Nominal = 10
  1.050  ENDIF

  1.051  IF           NOT(ISVAR("@B25_On"))
  1.052  MATH         @TestFreq = "3100 MHz"
  1.053  MATH         @SWPG_Freq = "3099.95 MHz"; @LO_Freq = "3100.05 MHz"
  1.054  SCPI         FREQ:SPAN 500E+3
  1.055  CALL         Sub FSP TOI Test /LO,SWPG

  1.056  ELSE

  1.057  MATH         @TestFreq = "3010 MHz"
  1.058  MATH         @SWPG_Freq = "3009.95 MHz"; @LO_Freq = "3010.05 MHz"
  1.059  SCPI         FREQ:SPAN 500E+3
  1.060  CALL         Sub FSP TOI Test /LO,SWPG
  1.061  ENDIF

  1.062  SCPI         FREQ:SPAN 500E+3
  1.063  CALL         Sub FSP TOI Test /LO,SWPG

  1.064  MATH         @TestFreq = "5000 MHz"
  1.065  MATH         @SWPG_Freq = "4999.95 MHz"; @LO_Freq = "5000.05 MHz"
  1.066  SCPI         FREQ:SPAN 500E+3
  1.067  CALL         Sub FSP TOI Test /LO,SWPG

  1.068  IF           NOT(ISVAR("@B25_On"))
  1.069  MATH         @TestFreq = "6999 MHz"
  1.070  MATH         @SWPG_Freq = "6998.95 MHz"; @LO_Freq = "6999.05 MHz"
  1.071  SCPI         FREQ:SPAN 500E+3
  1.072  CALL         Sub FSP TOI Test /LO,SWPG

  1.073  ELSE

  1.074  MATH         @TestFreq = "6990 MHz"
  1.075  MATH         @SWPG_Freq = "6989.95 MHz"; @LO_Freq = "6990.05 MHz"
  1.076  SCPI         FREQ:SPAN 500E+3
  1.077  CALL         Sub FSP TOI Test /LO,SWPG
  1.078  ENDIF

  1.079  IF           (@UUT_MaxFreq <= 7E+9)
  1.080  END
  1.081  ENDIF

  1.082  MATH         @TestFreq = "7100 MHz"
  1.083  MATH         @SWPG_Freq = "7099.95 MHz"; @LO_Freq = "7100.05 MHz"
  1.084  SCPI         FREQ:SPAN 500E+3
  1.085  CALL         Sub FSP TOI Test /LO,SWPG

  1.086  MATH         @TestFreq = "10000 MHz"
  1.087  MATH         @SWPG_Freq = "9999.95 MHz"; @LO_Freq = "10000.05 MHz"
  1.088  SCPI         FREQ:SPAN 500E+3
  1.089  CALL         Sub FSP TOI Test /LO,SWPG

  1.090  MATH         @TestFreq = "13000 MHz"
  1.091  MATH         @SWPG_Freq = "12999.95 MHz"; @LO_Freq = "13000.05 MHz"
  1.092  SCPI         FREQ:SPAN 500E+3
  1.093  CALL         Sub FSP TOI Test /LO,SWPG

  1.094  IF           (@UUT_MaxFreq <= 13E+9)
  1.095  END
  1.096  ENDIF

  1.097  IF           (@UUT_MaxFreq > 30E+9)
  1.098  MATH         M[1] = 25; @Nominal = 10
  1.099  ELSE
  1.100  MATH         M[1] = 27; @Nominal = 8
  1.101  ENDIF

  1.102  MATH         @TestFreq = "15100 MHz"
  1.103  MATH         @SWPG_Freq = "15099.95 MHz"; @LO_Freq = "15100.05 MHz"
  1.104  SCPI         FREQ:SPAN 500E+3
  1.105  CALL         Sub FSP TOI Test /LO,SWPG

  1.106  MATH         @TestFreq = "20000 MHz"
  1.107  MATH         @SWPG_Freq = "19999.95 MHz"; @LO_Freq = "20000.05 MHz"
  1.108  SCPI         FREQ:SPAN 500E+3
  1.109  CALL         Sub FSP TOI Test /LO,SWPG

  1.110  MATH         @TestFreq = "22000 MHz"
  1.111  MATH         @SWPG_Freq = "21999.95 MHz"; @LO_Freq = "22000.05 MHz"
  1.112  SCPI         FREQ:SPAN 500E+3
  1.113  CALL         Sub FSP TOI Test /LO,SWPG

  1.114  MATH         @TestFreq = "26000 MHz"
  1.115  MATH         @SWPG_Freq = "25999.95 MHz"; @LO_Freq = "26000.05 MHz"
  1.116  SCPI         FREQ:SPAN 500E+3
  1.117  CALL         Sub FSP TOI Test /LO,SWPG

  1.118  IF           (@UUT_MaxFreq <= 30E+9)
  1.119  END
  1.120  ENDIF

  1.121  MATH         @TestFreq = "35000 MHz"
  1.122  MATH         @SWPG_Freq = "34999.95 MHz"; @LO_Freq = "35000.05 MHz"
  1.123  SCPI         FREQ:SPAN 500E+3
  1.124  CALL         Sub FSP TOI Test /LO,SWPG

  1.125  MATH         @TestFreq = "39900 MHz"
  1.126  MATH         @SWPG_Freq = "38899.95 MHz"; @LO_Freq = "39900.05 MHz"
  1.127  SCPI         FREQ:SPAN 500E+3
  1.128  CALL         Sub FSP TOI Test /LO,SWPG

  1.129  END
