﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) IF Filter VER /9640
DATE:                  2011-06-21
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       26
NUMBER OF LINES:       524
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSP Take Sweep Only
#        Sub FSP Take Sweep (MKPK)
#        Sub FSP Set Ref Level (dBm) /9640
#        Sub FSP IF Filter Bandwidth Switching Test /9640
#
#  Required Files:
#        fsp_direct_to_lpnx.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Error = 0
  1.002  JMPL         IF_FILTER                    PSUBI("IF Filter")
  1.003  DISP         Called {Subprocedure Not Found}!
  1.004  END

  1.005  EVAL   Increment Test Number

# =====  Sub FSP (1 yr) IF Filter VER /9640  ================================

# It is assumed a direct connection was previously made between the 9640A and
# the UUT RF INPUT 50 Ohms.

  2.001  LABEL        IF_FILTER
  2.002  RSLT         =
  2.003  HEAD         {IF FILTER}
  2.004  RSLT         =
  2.005  MATH         RsltText = "Bandwidth Switching Level Accuracy "
  2.006  MATH         RsltText = RsltText & "(10 kHz RBW Reference)"
  2.007  RSLT         =[V RsltText]
  2.008  TARGET       -p
  2.009  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]

  2.010  LABEL        START_ANALOG_FILTER
  2.011  PIC          fsp_direct_to_lpnx.jpg

  2.012  DISP         The next routine operator intervention
  2.012  DISP         occurs in approximately 9 minutes...

  2.013  HEAD         -2 Bandwidth Switching Level Accuracy: 10 kHz RBW Ref
  2.014  TSET         TDESC = 100 Hz; NTHROW = 2; NMEAS = 2
  2.015  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.016  SCPI         DISP:WIND:TRAC:Y:RLEV -20;:INP:ATT 10 DB
  2.017  SCPI         FREQ:CENT 128E+6;SPAN 5E+3
  2.018  SCPI         DET:FUNC RMS;*WAI;:BAND:RES 10E+3
  2.019  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  2.019  9640         +Level = -30 dBm; Freq = 128 MHz
  2.020  MATH         @MkrMode = "Normal"
  2.021  CALL         Sub FSP Take Sweep (MKPK)
  2.022  SCPI         CALC:MARK:Y?[I]
  2.023  MATH         @TestName = "IF Filter: 100 Hz"
  2.024  MATH         @Connection = "fsp_direct_to_lpnx"
  2.025  MATH         @FSP_RefLvl = -30; @9640Lvl = -30
  2.026  MATH         @9640Freq = 128E+6; @9640RefIn = 10E+6

  2.027  WHILE        ((MEM <= -30.02) || (MEM >= -29.98)) && NOT(@Error)
  2.028  CALL         Sub FSP Set Ref Level (dBm) /9640
  2.029  ENDW

  2.030  IF           @Error
  2.031  EVAL   -e 0 : An error occurred during the [V @TestName].
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

  3.004  JMPL         CONTINUE_ANALOG_FILTER
  3.005  TARGET       -p
  3.006  JMPL         START_ANALOG_FILTER

  3.007  LABEL        CONTINUE_ANALOG_FILTER
  3.008  HEAD         -2 Bandwidth Switching Level Accuracy: 100 Hz RBW
  3.009  SCPI         CALC:DELT:FUNC:FIX:STAT ON
  3.010  SCPI         FREQ:SPAN 50;*WAI;:BAND:RES 100
# Specify marker function for use in subsequent UUT 'Take Sweep' call.
  3.011  MATH         @MkrMode = "Delta"
  3.012  TOL          0.10U
  3.013  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  3.014  HEAD         -2 Bandwidth Switching Level Accuracy: 300 Hz RBW
  3.015  TARGET       -p
  3.016  TSET         TDESC = 300 Hz
  3.017  SCPI         FREQ:SPAN 150;*WAI;:BAND:RES 300
  3.018  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  3.019  HEAD         -2 Bandwidth Switching Level Accuracy: 1 kHz RBW
  3.020  TARGET       -p
  3.021  TSET         TDESC = 1 kHz
  3.022  SCPI         FREQ:SPAN 500;*WAI;:BAND:RES 1E+3
  3.023  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  3.024  HEAD         -2 Bandwidth Switching Level Accuracy: 100 kHz RBW
  3.025  TARGET       -p
  3.026  TSET         TDESC = 100 kHz
  3.027  SCPI         FREQ:SPAN 50E+3;:BAND:RES 100E+3
  3.028  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  3.029  HEAD         -2 Bandwidth Switching Level Accuracy: 300 kHz RBW
  3.030  TARGET       -p
  3.031  TSET         TDESC = 300 kHz
  3.032  SCPI         FREQ:SPAN 150E+3;:BAND:RES 300E+3
  3.033  TOL          0.20U
  3.034  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  3.035  HEAD         -2 Bandwidth Switching Level Accuracy: 1 MHz RBW
  3.036  TARGET       -p
  3.037  TSET         TDESC = 1 MHz
  3.038  SCPI         FREQ:SPAN 500E+3;:BAND:RES 1E+6
  3.039  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  3.040  HEAD         -2 Bandwidth Switching Level Accuracy: 3 MHz RBW
  3.041  TARGET       -p
  3.042  TSET         TDESC = 3 MHz
  3.043  SCPI         FREQ:SPAN 1.5E+6;:BAND:RES 3E+6
  3.044  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  3.045  HEAD         -2 Bandwidth Switching Level Accuracy: 10 MHz RBW
  3.046  TARGET       -p
  3.047  TSET         TDESC = 10 MHz
  3.048  SCPI         FREQ:SPAN 5E+6;:BAND:RES 10E+6
  3.049  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  3.050  RSLT         =
  3.051  MATH         RsltText = "FFT Bandwidth Switching Level Accuracy "
  3.052  MATH         RsltText = RsltText & "(10 kHz RBW Reference)"
  3.053  RSLT         =[V RsltText]

  3.054  LABEL        START_FFT_FILTER
  3.055  HEAD         -2 FFT Bandwidth Switching Error: 10 kHz RBW Reference
  3.056  SCPI         CALC:MARK:X:SLIM OFF
  3.057  SCPI         BAND:TYPE FFT;RES 10E+3;:FREQ:SPAN 5E+3
  3.058  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  3.058  9640         +Level = -30 dBm; Freq = 128 MHz
  3.059  CALL         Sub FSP Take Sweep (MKPK)
  3.060  SCPI         CALC:MARK:Y?[I]
  3.061  MATH         @9640Freq = 128E+6; @9640Lvl = -30; @TestLvl = @9640Lvl
  3.062  CALL         Sub FSP Take Sweep (MKPK)
  3.063  SCPI         CALC:MARK:Y?[I]

  3.064  WHILE        ((MEM <= -30.02) || (MEM >= -29.98)) && NOT(@Error)
  3.065  CALL         Sub FSP Set Ref Level (dBm) /9640
  3.066  ENDW

  3.067  IF           @Error
  3.068  EVAL   -e 0 : An error occurred during the [V @TestName].
  4.001  MATH         @Error = 0
  4.002  END
  4.003  ENDIF

  4.004  JMPL         CONTINUE_FFT_FILTER
  4.005  TARGET       -p
  4.006  JMPL         START_FFT_FILTER

  4.007  LABEL        CONTINUE_FFT_FILTER
  4.008  HEAD         -2 FFT Bandwidth Switching Level Accuracy: 1 Hz RBW
  4.009  TSET         TDESC = 1 Hz
  4.010  SCPI         BAND:TYPE FFT;RES 1;*WAI;:FREQ:SPAN 10
  4.011  TOL          0.20U
  4.012  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  4.013  HEAD         -2 FFT Bandwidth Switching Level Accuracy: 3 Hz RBW
  4.014  TARGET       -p
  4.015  TSET         TDESC = 3 Hz
  4.016  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  4.017  HEAD         -2 FFT Bandwidth Switching Level Accuracy: 10 Hz RBW
  4.018  TARGET       -p
  4.019  TSET         TDESC = 10 Hz
  4.020  SCPI         BAND:TYPE FFT;RES 10;*WAI;:FREQ:SPAN 10
  4.021  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  4.022  HEAD         -2 FFT Bandwidth Switching Level Accuracy: 30 Hz RBW
  4.023  TARGET       -p
  4.024  TSET         TDESC = 30 Hz
  4.025  SCPI         BAND:TYPE FFT;RES 30;*WAI;:FREQ:SPAN 15
  4.026  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  4.027  HEAD         -2 FFT Bandwidth Switching Level Accuracy: 100 Hz RBW
  4.028  TARGET       -p
  4.029  TSET         TDESC = 100 Hz
  4.030  SCPI         BAND:TYPE FFT;RES 100;*WAI;:FREQ:SPAN 50
  4.031  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  4.032  HEAD         -2 FFT Bandwidth Switching Level Accuracy: 300 Hz RBW
  4.033  TARGET       -p
  4.034  TSET         TDESC = 300 Hz
  4.035  SCPI         BAND:TYPE FFT;RES 300;:FREQ:SPAN 150
  4.036  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  4.037  HEAD         -2 FFT Bandwidth Switching Level Accuracy: 1 kHz RBW
  4.038  TARGET       -p
  4.039  TSET         TDESC = 1 kHz
  4.040  SCPI         BAND:TYPE FFT;RES 1E+3;:FREQ:SPAN 500
  4.041  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  4.042  HEAD         -2 FFT Bandwidth Switching Level Accuracy: 3 kHz RBW
  4.043  TARGET       -p
  4.044  TSET         TDESC = 3 kHz
  4.045  SCPI         BAND:TYPE FFT;RES 3E+3;:FREQ:SPAN 1.5E+3
  4.046  CALL         Sub FSP IF Filter Bandwidth Switching Test /9640

  4.047  9640         Reset
  4.048  MATH         @MkrMode = "Normal"
  4.049  SCPI         SYST:PRES

  4.050  RSLT         =
  4.051  HEAD         -2 {3 dB Bandwidth}: 100 Hz
  4.052  TARGET       -p
  4.053  TSET         TDESC = 100 Hz
  4.054  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  4.055  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  4.056  SCPI         FREQ:CENT 128E+6;SPAN 300;:BAND:RES 100
  4.057  SCPI         CALC:MARK:STAT ON
  4.058  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  4.058  9640         +Level = -10 dBm; Freq = 128 MHz
# Accuracy is UUT Marker Frequency Counter Resolution at selected RBW.
  4.059  ACC          100.0Hz        1.0U
  4.060  SCPI         CALC:MARK:FUNC:NDBD 3dB;NDBD:STAT ON
  4.061  TARGET       -m
  4.062  CALL         Sub FSP Take Sweep (MKPK)
  4.063  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
# Store actual 3 dB bandwidth, in base units, for later use in shape factor.
  4.064  MATH         RBW_100Hz = MEM
  4.065  MEMCX        100.0Hz        3%

  5.001  HEAD         -2 3 dB Bandwidth: 300 Hz
  5.002  TSET         TDESC = 300 Hz
  5.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  5.003  9640         +Level = 0 dBm; Freq = 128 MHz
  5.004  SCPI         BAND:RES 300;:FREQ:SPAN 900
  5.005  ACC          1.000kHz       0.010U
  5.006  TARGET       -m
  5.007  CALL         Sub FSP Take Sweep (MKPK)
  5.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
  5.009  MATH         RBW_300Hz = MEM
  5.010  MEMCX        300.0Hz        3%

  6.001  HEAD         -2 3 dB Bandwidth: 1 kHz
  6.002  TSET         TDESC = 1 kHz
  6.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  6.003  9640         +Level = 0 dBm; Freq = 128 MHz
  6.004  SCPI         BAND:RES 1E+3;:FREQ:SPAN 3E+3
  6.005  ACC          1.000kHz       0.010U
  6.006  TARGET       -m
  6.007  CALL         Sub FSP Take Sweep (MKPK)
  6.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
  6.009  MATH         RBW_1kHz = MEM
  6.010  MATH         MEM = MEM / 1E+3
  6.011  MEMCX        1.000kHz       3%

  7.001  HEAD         -2 3 dB Bandwidth: 3 kHz
  7.002  TSET         TDESC = 3 kHz
  7.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  7.003  9640         +Level = 0 dBm; Freq = 128 MHz
  7.004  SCPI         BAND:RES 3E+3;:FREQ:SPAN 9E+3
  7.005  ACC          3.000kHz       0.010U
  7.006  TARGET       -m
  7.007  CALL         Sub FSP Take Sweep (MKPK)
  7.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
  7.009  MATH         RBW_3kHz = MEM
  7.010  MATH         MEM = MEM / 1E+3
  7.011  MEMCX        3.000kHz       3%

  8.001  HEAD         -2 3 dB Bandwidth: 10 kHz
  8.002  TSET         TDESC = 10 kHz
  8.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  8.003  9640         +Level = 0 dBm; Freq = 128 MHz
  8.004  SCPI         BAND:RES 10E+3;:FREQ:SPAN 30E+3
  8.005  ACC          10.00kHz       0.10U
  8.006  TARGET       -m
  8.007  CALL         Sub FSP Take Sweep (MKPK)
  8.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
  8.009  MATH         RBW_10kHz = MEM
  8.010  MATH         MEM = MEM / 1E+3
  8.011  MEMCX        10.00kHz       3%

  9.001  HEAD         -2 3 dB Bandwidth: 30 kHz
  9.002  TSET         TDESC = 30 kHz
  9.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  9.003  9640         +Level = 0 dBm; Freq = 128 MHz
  9.004  SCPI         BAND:RES 30E+3;:FREQ:SPAN 90E+3
  9.005  ACC          30.00kHz       0.10U
  9.006  TARGET       -m
  9.007  CALL         Sub FSP Take Sweep (MKPK)
  9.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
  9.009  MATH         RBW_30kHz = MEM
  9.010  MATH         MEM = MEM / 1E+3
  9.011  MEMCX        30.00kHz       3%

 10.001  HEAD         -2 3 dB Bandwidth: 100 kHz
 10.002  TSET         TDESC = 100 kHz
 10.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 10.003  9640         +Level = 0 dBm; Freq = 128 MHz
 10.004  SCPI         BAND:RES 100E+3;:FREQ:SPAN 300E+3
 10.005  ACC          100.0kHz       1.0U
 10.006  TARGET       -m
 10.007  CALL         Sub FSP Take Sweep (MKPK)
 10.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 10.009  MATH         RBW_100kHz = MEM
 10.010  MATH         MEM = MEM / 1E+3
 10.011  MEMCX        100.0kHz       3%

 11.001  HEAD         -2 3 dB Bandwidth: 300 kHz
 11.002  TSET         TDESC = 300 kHz
 11.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 11.003  9640         +Level = 0 dBm; Freq = 128 MHz
 11.004  SCPI         BAND:RES 300E+3;:FREQ:SPAN 900E+3
 11.005  ACC          300.0kHz       3.0U
 11.006  TARGET       -m
 11.007  CALL         Sub FSP Take Sweep (MKPK)
 11.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 11.009  MATH         RBW_300kHz = MEM
 11.010  MATH         MEM = MEM / 1E+3
 11.011  MEMCX        300.0kHz       10%

 12.001  HEAD         -2 3 dB Bandwidth: 1 MHz
 12.002  TSET         TDESC = 1 MHz
 12.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 12.003  9640         +Level = 0 dBm; Freq = 128 MHz
 12.004  SCPI         BAND:RES 1E+6;:FREQ:SPAN 3E+6
 12.005  ACC          1.000MHz       0.010U
 12.006  TARGET       -m
 12.007  CALL         Sub FSP Take Sweep (MKPK)
 12.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 12.009  MATH         RBW_1MHz = MEM
 12.010  MATH         MEM = MEM / 1E+6
 12.011  MEMCX        1.000MHz       10%

 13.001  HEAD         -2 3 dB Bandwidth: 3 MHz
 13.002  TSET         TDESC = 3 MHz
 13.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 13.003  9640         +Level = 0 dBm; Freq = 128 MHz
 13.004  SCPI         BAND:RES 3E+6;:FREQ:SPAN 9E+6
 13.005  ACC          3.000MHz       0.030U
 13.006  TARGET       -m
 13.007  CALL         Sub FSP Take Sweep (MKPK)
 13.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 13.009  MATH         RBW_3MHz = MEM
 13.010  MATH         MEM = MEM / 1E+6
 13.011  MEMCX        3.000MHz       10%

 14.001  HEAD         -2 3 dB Bandwidth: 10 MHz
 14.002  TSET         TDESC = 10 MHz
 14.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 14.003  9640         +Level = 0 dBm; Freq = 128 MHz
 14.004  SCPI         BAND:RES 10E+6;:FREQ:SPAN 30E+6
 14.005  ACC          10.00MHz       0.10U
 14.006  TARGET       -m
 14.007  CALL         Sub FSP Take Sweep (MKPK)
 14.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 14.009  MATH         RBW_10MHz = MEM
 14.010  MATH         MEM = MEM / 1E+6
 14.011  MEMCX        10.00MHz       +10% -30%

 15.001  MATH         @MkrMode = "Normal"
 15.002  9640         Reset
 15.003  SCPI         SYST:PRES

 15.004  RSLT         =
 15.005  HEAD         -2 {Shape Factor}: 100 Hz RBW
 15.006  TARGET       -p
 15.007  TSET         TDESC = 100 Hz
 15.008  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 15.009  SCPI         INP:ATT 10dB;:DISP:WIND:TRAC:Y:RLEV 0;SPAC LOG
 15.009  SCPI         DISP:WIND:TRAC:Y 100 dB
 15.010  SCPI         FREQ:CENT 128E+6;SPAN 2E+3;:BAND:RES 100;VID:RAT 0.1
 15.011  SCPI         BAND:RES 100;:CALC:MARK:STAT ON
 15.012  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 15.012  9640         +Level = 0 dBm; Freq = 128 MHz
 15.013  SCPI         CALC:MARK:FUNC:NDBD 60dB;NDBD:STAT ON
 15.014  TARGET       -m
 15.015  CALL         Sub FSP Take Sweep (MKPK)
 15.016  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
# Compute 60 dB/3 dB selectivity ratio.
 15.017  MATH         MEM = MEM / RBW_100Hz
 15.018  MEMCX        0.00           +5.00U -0.00U

 16.001  HEAD         -2 Shape Factor: 300 Hz RBW
 16.002  TSET         TDESC = 300 Hz
 16.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 16.003  9640         +Level = 0 dBm; Freq = 128 MHz
 16.004  SCPI         BAND:RES 300;:FREQ:SPAN 6E+3
 16.005  TARGET       -m
 16.006  CALL         Sub FSP Take Sweep (MKPK)
 16.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 16.008  MATH         MEM = MEM / RBW_300Hz
 16.009  MEMCX        0.00           +5.00U -0.00U

 17.001  HEAD         -2 Shape Factor: 1 kHz RBW
 17.002  TSET         TDESC = 1 kHz
 17.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 17.003  9640         +Level = 0 dBm; Freq = 128 MHz
 17.004  SCPI         BAND:RES 1E+3;:FREQ:SPAN 20E+3
 17.005  TARGET       -m
 17.006  CALL         Sub FSP Take Sweep (MKPK)
 17.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 17.008  MATH         MEM = MEM / RBW_1kHz
 17.009  MEMCX        0.00           +5.00U -0.00U

 18.001  HEAD         -2 Shape Factor: 3 kHz RBW
 18.002  TSET         TDESC = 3 kHz
 18.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 18.003  9640         +Level = 0 dBm; Freq = 128 MHz
 18.004  SCPI         BAND:RES 3E+3;:FREQ:SPAN 60E+3
 18.005  TARGET       -m
 18.006  CALL         Sub FSP Take Sweep (MKPK)
 18.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 18.008  MATH         MEM = MEM / RBW_3kHz
 18.009  MEMCX        0.00           +5.00U -0.00U

 19.001  HEAD         -2 Shape Factor: 10 kHz RBW
 19.002  TSET         TDESC = 10 kHz
 19.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 19.003  9640         +Level = 0 dBm; Freq = 128 MHz
 19.004  SCPI         BAND:RES 10E+3;:FREQ:SPAN 200E+3
 19.005  TARGET       -m
 19.006  CALL         Sub FSP Take Sweep (MKPK)
 19.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 19.008  MATH         MEM = MEM / RBW_10kHz
 19.009  MEMCX        0.00           +5.00U -0.00U

 20.001  HEAD         -2 Shape Factor: 30 kHz RBW
 20.002  TSET         TDESC = 30 kHz
 20.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 20.003  9640         +Level = 0 dBm; Freq = 128 MHz
 20.004  SCPI         BAND:RES 30E+3;:FREQ:SPAN 600E+3
 20.005  TARGET       -m
 20.006  CALL         Sub FSP Take Sweep (MKPK)
 20.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 20.008  MATH         MEM = MEM / RBW_30kHz
 20.009  MEMCX        0.00           +5.00U -0.00U

 21.001  HEAD         -2 Shape Factor: 100 kHz RBW
 21.002  TSET         TDESC = 100 kHz
 21.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 21.003  9640         +Level = 0 dBm; Freq = 128 MHz
 21.004  SCPI         BAND:RES 100E+3;:FREQ:SPAN 2E+6
 21.005  TARGET       -m
 21.006  CALL         Sub FSP Take Sweep (MKPK)
 21.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 21.008  MATH         MEM = MEM / RBW_100kHz
 21.009  MEMCX        0.00           +5.00U -0.00U

 22.001  HEAD         -2 Shape Factor: 300 kHz RBW
 22.002  TSET         TDESC = 300 kHz
 22.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 22.003  9640         +Level = 0 dBm; Freq = 128 MHz
 22.004  SCPI         BAND:RES 300E+3;:FREQ:SPAN 6E+6
 22.005  TOL          +15.00U -0.00U
 22.006  TARGET       -m
 22.007  CALL         Sub FSP Take Sweep (MKPK)
 22.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 22.009  MATH         MEM = MEM / RBW_300kHz
 22.010  MEMCX        0.00           TOL

 23.001  HEAD         -2 Shape Factor: 1 MHz RBW
 23.002  TSET         TDESC = 1 MHz
 23.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 23.003  9640         +Level = 0 dBm; Freq = 128 MHz
 23.004  SCPI         BAND:RES 1E+6;:FREQ:SPAN 20E+6
 23.005  TARGET       -m
 23.006  CALL         Sub FSP Take Sweep (MKPK)
 23.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 23.008  MATH         MEM = MEM / RBW_1MHz
 23.009  MEMCX        0.00           TOL

 24.001  HEAD         -2 Shape Factor: 3 MHz RBW
 24.002  TSET         TDESC = 3 MHz
 24.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 24.003  9640         +Level = 0 dBm; Freq = 128 MHz
 24.004  SCPI         BAND:RES 3E+6;:FREQ:SPAN 60E+6
 24.005  TARGET       -m
 24.006  CALL         Sub FSP Take Sweep (MKPK)
 24.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 24.008  MATH         MEM = MEM / RBW_3MHz
 24.009  MEMCX        0.00           TOL

 25.001  HEAD         -2 Shape Factor: 10 MHz RBW
 25.002  TSET         TDESC = 10 MHz
 25.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 25.003  9640         +Level = 0 dBm; Freq = 128 MHz
 25.004  SCPI         BAND:RES 10E+6;:FREQ:SPAN 200E+6
 25.005  TARGET       -m
 25.006  CALL         Sub FSP Take Sweep (MKPK)
 25.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 25.008  MATH         MEM = MEM / RBW_10MHz
 25.009  MEMCX        0.00           +7.00U -0.00U

 26.001  HEAD         -2
 26.002  9640         Reset
 26.003  MATH         DEL("@Connection")
 26.004  SCPI         SYST:PRES
 26.005  HEAD
 26.006  END
