﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP IF Image/Rejection Test /4418,SWPG
DATE:                  2011-06-13
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       93
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Apply /SWPG
#        Sub Level Signal /4418,8481,SWPG
#        Sub Compute Power Splitter Leveling Uncertainty
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Uncertainty Analysis:
#  The uncertainties associated with each test points were computed including
#  the following components:
#      - Power Uncertainty, including Power Meter Instrumentation Accuracy
#      - Power Sensor Cal Factor Uncertainty
#      - Mismatch, Power Splitter to Power Sensor
#      - Mismatch, Power Splitter to UUT
#      - Power Splitter Tracking Error
#      - UUT Absolute Level Uncertainty at 128 MHz
#      - UUT Frequency Response
#      - UUT Input Attenuator Switching
#      - UUT Display Linearity
#      - UUT Bandwidth Switching Error
#      - UUT Resolution Bandwidth Error
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  ENDIF

  1.004  MATH         Freq = BASE(VGET("TDESC"))
  1.005  SCPI         FREQ:CENT [V Freq]
  1.006  MATH         @SWPG_Ampl = "-4dBm"
  1.007  CALL         Sub Apply /SWPG
  1.008  MATH         @TestName = "IF Image"
  1.009  MATH         @CenterFreq = BASE(@SWPG_Freq)
  1.010  MATH         @RefLvl = -10; @TestLvl = -4
  1.011  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  1.012  M4418  F64   8481A
  1.013  CALL         Sub Level Signal /4418,8481,SWPG

  1.014  IF           @Error
  1.015  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  MATH         @TestFreq = @CenterFreq
  2.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  2.006  MATH         L[1] = @LevelUncPct
  2.007  MATH         L[2] = @CalFactUnc
# UUT uncertainties, normalized:
  2.008  MATH         L[3] = @AbsLevUnc
  2.009  MATH         L[4] = @FreqResp
  2.010  MATH         L[5] = @InpAttSw
  2.011  MATH         L[6] = @DispLin
  2.012  MATH         L[7] = @BandSwErr
  2.013  MATH         L[8] = @RBW_Error
# Combined expanded uncertainty.
  2.014  MATH         M[1] = PCTTODBW_D(RSS_L(1, 8) * 2)
  2.015  END

